package emst;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Label;
import java.awt.Panel;

public class StatusBar extends Panel {

	private static final long serialVersionUID = 1L;
	
	private Label messageLabel;
	
	public StatusBar() {
		super();
		messageLabel = new Label();
		
		setLayout(new BorderLayout());
		
		add(messageLabel, BorderLayout.WEST);		
	}
	
	public void setText(String text) {
		messageLabel.setForeground(Color.black);
		messageLabel.setText(text);
	}
	
	public void setText(String text, Color color) {
		messageLabel.setForeground(color);
		messageLabel.setText(text);
	}
	
}
