package emst;

import java.io.File;
import java.io.IOException;
import java.util.List;

import org.junit.Test;

import emst.algorithm.Kruskal;
import emst.ds.Edge;
import emst.ds.Graph;

public class GraphTest1 {

	@Test
	public void kruskalTest() throws IOException {
		String filename = "sample/graph1.txt";
		
		Graph g = Graph.loadFile(new File(filename));
		
		System.out.println("Loaded: " + g.getName());
		
		List<Edge> tree = Kruskal.mst(g);
		
		System.out.println("The following edges make up the MST of Graph 1: ");
		for (Edge e : tree) {
			System.out.println(e.toString());			
		}
		
	}
	

	
}
